首页 > Linux, Unix > Linux/Unix编译安装软件时那些头痛的报错

Linux/Unix编译安装软件时那些头痛的报错

2013年4月21日 发表评论 阅读评论
1、 在用"Python setup.py"命令安装PostgreSQL的Python驱动时:
  1. running build_ext   
  2. error: No such file or directory  

解决办法:在文件"setup.cfg"设置"pg_config"未正确的完整路径,如"pg_config=/usr/bin/pg_config"。如果当前系统中不存在"pg_config",请先安装"postgresql-devel-*.*.rpm"包。

2、连接PostgreSQL数据库时报如下错误:
  1. psql: 致命错误:  用户 "***" Ident 认证失败 

  1. psql: FATAL: Ident authentication failed for user “username”, mais pourquoi donc ? 

解决办法:修改"pg_hba.conf"文件中认证方式"METHOD"为"md5"或"trust",具体参考文件中的说明。

3、在用"make"编译软件时提示:
  1. "Makefile", line 88: Missing dependency operator  
  2. "Makefile", line 89: Missing dependency operator  
  3. "Makefile", line 91: Need an operator  
  4. "Makefile", line 92: Need an operator  
  5. "Makefile", line 93: Missing dependency operator  
  6. "Makefile", line 94: Missing dependency operator  
  7. Error expanding embedded variable. 

解决办法:用"gmake"编译就OK了。

分类: Linux, Unix 标签: , , ,
  1. 本文目前尚无任何评论.
  1. 2014年9月21日10:19 | #1
  2. 2014年9月24日00:34 | #2
  3. 2014年9月26日20:21 | #3
  4. 2014年10月4日20:11 | #4